﻿@{
    Layout = null;
}

<div class="bg-white" style="border: 2px solid #666666; width: 765px; padding: 20px;">
    <div class="place-left">
        <a class="action on-left-more" ui-sref="Coupons({seasonDomain:MC.stateParams.seasonDomain})">
            <i style="margin-top: 11px;" class="icon-arrow-left fg-black"></i>
        </a>
    </div>
    <div class="place-left">
        <h1 class="no-margin">
            Add new coupon
        </h1>
    </div>
    <div class="clearfix"></div>
    <hr />
    <form class="no-margin">
        <label for="">Coupon name</label>
        <div class="input-control text" data-role="input-control">
            <input type="text" />
            <button class="btn-clear" tabindex="-1" type="button"></button>
        </div>
        <label for="">Coupon code</label>
        <div class="input-control text" data-role="input-control">
            <input type="text" />
            <button class="btn-clear" tabindex="-1" type="button"></button>
        </div>
        <div class="one-half place-left" style="padding-right: 20px">
            <label for="">Start date <a href="" class="popover-link" role="button" data-toggle="popover" data-trigger="focus" data-container="body" rel="popover" data-placement="top" data-content="The start date which the coupon will be valid."></a></label>
            <div class="input-control text" data-role="datepicker" data-format="mm/dd/yyyy" data-effect="fade">
                <input type="text" ng-model="MC.asasdasdd" />
                <button class="btn-date"></button>
            </div>
        </div>
        <div class="one-half place-left">
            <label for="">End date</label>
            <div class="input-control text" data-role="datepicker" data-format="dddd, mmmm d, yyyy" data-effect="fade">
                <input type="text" readonly="readonly">
                <button class="btn-date"></button>
            </div>
        </div>
        <label for="">Amount</label>
        <div class="input-control text" data-role="input-control">
            <input type="text" />
            <button class="btn-clear" tabindex="-1" type="button"></button>
        </div>
        <label for="">Coupon code</label>
        <div class="input-control text" data-role="input-control">
            <input type="text" />
            <button class="btn-clear" tabindex="-1" type="button"></button>
        </div>
        <label ng-init="MC.selectPrograms = 'false'">Programs</label>
        <div style="padding:0 20px">
            <div class="input-control radio default-style" data-role="input-control">
                <label>
                    <input type="radio" name="programs" ng-model="MC.selectPrograms" value="false" checked>
                    <span class="check"></span>
                    Eligible for all programs
                </label>
            </div>
            <div class="clearfix"></div>
            <div class="input-control radio default-style" data-role="input-control">
                <label>
                    <input type="radio" name="programs" ng-model="MC.selectPrograms" value="true">
                    <span class="check"></span>
                    Restrict to some programs
                </label>
            </div>
            <label ng-show="MC.selectPrograms"> Select users</label>
            <div ng-show="MC.selectPrograms" class="input-control select" data-role="input-control">
                <select name="s1" multiple>
                    <option value="1">Value 1</option>
                    <option value="2">Value 2</option>
                    <option value="3">Value 3</option>
                </select>
            </div>
        </div>
        <label ng-init="MC.selectUsers = 'false'">Users</label>
        <div style="padding:0 20px">
            <div class="input-control radio default-style" data-role="input-control">
                <label>
                    <input type="radio" name="users" ng-model="MC.selectUsers" value="false" checked>
                    <span class="check"></span>
                    Eligible for all users
                </label>
            </div>
            <div class="clearfix"></div>
            <div class="input-control radio default-style" data-role="input-control">
                <label>
                    <input type="radio" name="users" ng-model="MC.selectUsers" value="true">
                    <span class="check"></span>
                    Restrict to some users
                </label>
            </div>
            <label ng-show="MC.selectUsers"> Select users</label>
            <div ng-show="MC.selectUsers" class="input-control select" data-role="input-control">
                <select name="s1" multiple>
                    <option value="1">Value 1</option>
                    <option value="2">Value 2</option>
                    <option value="3">Value 3</option>
                </select>
            </div>
        </div>
        <button class="success">Add</button>
    </form>
</div>